using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        DropDownList ddl = sender as DropDownList;
        RadGrid1.MasterTableView.GetColumn("ContactTitle").CurrentFilterValue = ddl.SelectedValue;
        GridFilteringItem filterItem = RadGrid1.MasterTableView.GetItems(GridItemType.FilteringItem)[0] as GridFilteringItem;
        filterItem.FireCommandEvent("Filter", new Pair("EqualTo", "ContactTitle"));
    }
}
